gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.ModelView.CellRendererPixbuf

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Renders a pixbuf in a cell

Synopsis

- data CellRendererPixbuf
- class CellRendererClass o => CellRendererPixbufClass o
- castToCellRendererPixbuf :: GObjectClass obj => obj -> CellRendererPixbuf
- gTypeCellRendererPixbuf :: GType
- toCellRendererPixbuf :: CellRendererPixbufClass o => o -> CellRendererPixbuf
- cellRendererPixbufNew :: IO CellRendererPixbuf
- cellPixbuf :: CellRendererPixbufClass self => Attr self Pixbuf
- cellPixbufExpanderOpen :: CellRendererPixbufClass self => Attr self Pixbuf
- cellPixbufExpanderClosed :: CellRendererPixbufClass self => Attr self Pixbuf
- cellPixbufStockId :: CellRendererPixbufClass self => Attr self String
- cellPixbufStockSize :: CellRendererPixbufClass self => Attr self Int
- cellPixbufStockDetail :: CellRendererPixbufClass self => Attr self String
- cellPixbufIconName :: CellRendererPixbufClass self => Attr self String
- cellPixbufFollowState :: CellRendererPixbufClass self => Attr self Bool

# Detail

A `CellRendererPixbuf` can be used to render an image in a cell. It allows to render either a given `Pixbuf` (set via the `cellPixbuf` property) or a stock icon (set via the `cellPixbufStockId` property).

To support the tree view, `CellRendererPixbuf` also supports rendering two alternative pixbufs, when the `cellIsExpander` property is `True`. If the this property is `True` and the `cellPixbufExpanderOpen` property is set to a pixbuf, it renders that pixbuf, if the `cellIsExpanded` property is `False` and the `cellPixbufExpanderClosed` property is set to a pixbuf, it renders that one.

# Class Hierarchy

     | GObject
     | +----Object
     | +----CellRenderer
     | +----CellRendererPixbuf

# Types

data CellRendererPixbuf

Instances

Eq CellRendererPixbuf |
Ord CellRendererPixbuf |
GObjectClass CellRendererPixbuf |
CellRendererPixbufClass CellRendererPixbuf |
CellRendererClass CellRendererPixbuf |
ObjectClass CellRendererPixbuf |

class CellRendererClass o => CellRendererPixbufClass o

Instances

CellRendererPixbufClass CellRendererPixbuf |

castToCellRendererPixbuf :: GObjectClass obj => obj -> CellRendererPixbuf

gTypeCellRendererPixbuf :: GType

toCellRendererPixbuf :: CellRendererPixbufClass o => o -> CellRendererPixbuf

# Constructors

cellRendererPixbufNew :: IO CellRendererPixbuf

Create a new CellRendererPixbuf object.

# Attributes

cellPixbuf :: CellRendererPixbufClass self => Attr self Pixbuf

The pixbuf to render.

cellPixbufExpanderOpen :: CellRendererPixbufClass self => Attr self Pixbuf

Pixbuf for open expander.

cellPixbufExpanderClosed :: CellRendererPixbufClass self => Attr self Pixbuf

Pixbuf for closed expander.

cellPixbufStockId :: CellRendererPixbufClass self => Attr self String

The stock ID of the stock icon to render.

Default value: `""`

cellPixbufStockSize :: CellRendererPixbufClass self => Attr self Int

The `IconSize` value that specifies the size of the rendered icon.

Default value: 1

cellPixbufStockDetail :: CellRendererPixbufClass self => Attr self String

Render detail to pass to the theme engine.

Default value: `""`

cellPixbufIconName :: CellRendererPixbufClass self => Attr self String

The name of the themed icon to display. This property only has an effect if not overridden by `cellPixbufStockId` or `cellPixbuf` attributes.

Default value: `""`

cellPixbufFollowState :: CellRendererPixbufClass self => Attr self Bool

Specifies whether the rendered pixbuf should be colorized according to the `CellRendererState`.

Default value: `False`